#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long x1, y1, x2, y2;
    scanf("%lli %lli", &x1, &y1);
    scanf("%lli %lli", &x2, &y2);

    if(abs(x1 - x2) == abs(y1 - y2))
        printf("1\n");
    else if(x1 == x2 || y1 == y2)
        printf("2\n");
    else printf("0\n");

    return 0;
}